if (useItem("Lamp_Yellow"))
{
  if (!hasMemo("lamp_0"))
  {
    setMemo("lamp_0");
    setMemo("yellow_0");
  }
  else if (!hasMemo("lamp_1"))
  {
    setMemo("lamp_1");
    setMemo("yellow_1");
  }
  else
  {
    setMemo("lamp_2");
    setMemo("yellow_2");
  }
  var lamp = getName("yellow_decor");
  lamp.ac(1);
  if (game.player.anim.flipped) game.player.flip();
  game.player.walkRight(true);
  
  run("insert_music");
}
else this.removeSelf = false;